> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an unsubscriber

> Creates an unsubscriber.
An unsubscriber is a configuration item representing that customers opt out of receiving messages from your business.
**A customer and a channel form a unique identifier for an unsubscriber.**



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml post /unsubscribers
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /unsubscribers:
    post:
      tags:
        - Unsubscribers
      summary: Create an unsubscriber
      description: >-
        Creates an unsubscriber.

        An unsubscriber is a configuration item representing that customers opt
        out of receiving messages from your business.

        **A customer and a channel form a unique identifier for an
        unsubscriber.**
      operationId: unsubscriber-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnsubscriberCreateRequest'
        required: true
      responses:
        '200':
          description: Successfully created an unsubscriber.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unsubscriber'
components:
  schemas:
    UnsubscriberCreateRequest:
      type: object
      required:
        - type
        - customer
        - channel
      properties:
        type:
          $ref: '#/components/schemas/UnsubscriberType'
          description: >-
            The type of unsubscriber identifier. Currently only `PHONE_NUMBER`
            is supported, indicating that the `customer` field contains a phone
            number in E.164 format.
        customer:
          type: string
          description: >-
            The customer who has opted out.

            For `type=PHONE_NUMBER`, it should be a phone number in
            [E.164](https://en.wikipedia.org/wiki/E.164) format.
          example: '+16315551111'
        channel:
          $ref: '#/components/schemas/UnsubscriberChannel'
          description: >-
            The communication channel from which the customer is unsubscribing.
            Currently only `whatsapp` is supported, indicating the customer opts
            out of receiving WhatsApp messages from your business.
        regionCode:
          type: string
          description: >-
            The customer's region code, formatted in [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: US
    Unsubscriber:
      type: object
      description: >-
        An unsubscriber is a configuration item representing that customers opt
        out of receiving messages from your business.

        **A customer and a channel form a unique identifier for an
        unsubscriber.**
      properties:
        type:
          $ref: '#/components/schemas/UnsubscriberType'
        customer:
          type: string
          description: >-
            The customer who has opted out.

            For `type=PHONE_NUMBER`, it should be a phone number in
            [E.164](https://en.wikipedia.org/wiki/E.164) format.
          example: '+16315551111'
        channel:
          $ref: '#/components/schemas/UnsubscriberChannel'
        regionCode:
          type: string
          description: >-
            The customer's region code, formatted in [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: US
        source:
          type: string
          description: >-
            The source from which a customer resumed their subscription

            - `Whatsapp`: The customer resumed their subscription on the
            whatsapp client

            - `API`: You remove the customer from the unsubscribe list through
            the OpenAPI of YCloud

            - `Manual`: You remove the customer from the unsubscribe list on the
            Contact page of YCloud.
          enum:
            - Whatsapp
            - API
            - Manual
          example: Whatsapp
        createTime:
          type: string
          format: date-time
          description: >-
            The time at which this object was created, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2022-06-01T12:00:00.000Z'
    UnsubscriberType:
      type: string
      description: >-
        Type of unsubscriber.

        - `PHONE_NUMBER`: Indicates that the `customer` is a phone number in
        [E.164](https://en.wikipedia.org/wiki/E.164) format.
      enum:
        - PHONE_NUMBER
    UnsubscriberChannel:
      type: string
      description: >-
        Channel of unsubscriber.

        - `whatsapp`: Indicates that the customer opts out of receiving WhatsApp
        messages from your business.
      enum:
        - whatsapp
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.